## org.eclipse.emf.ecore.impl
Class MinimalEObjectImpl.Container.Dynamic

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic

All Implemented Interfaces:
  Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  MinimalEObjectImpl.Container.Dynamic.BasicEMapEntry

Enclosing class:
  MinimalEObjectImpl.Container

    public static class MinimalEObjectImpl.Container.Dynamic

extends MinimalEObjectImpl.Container

Nested Class Summary
`static class` `MinimalEObjectImpl.Container.Dynamic.BasicEMapEntry<K,V>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EClass` `eClass`
`protected java.lang.Object[]` `eSettings`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MinimalEObjectImpl.Container.Dynamic()`
`MinimalEObjectImpl.Container.Dynamic(EClass eClass)`

Method Summary
`protected void` `eBasicSetSettings(java.lang.Object[] settings)`
`protected java.lang.Object[]` `eBasicSettings()`
`EClass` `eClass()` Returns the meta class.
`protected EClass` `eDynamicClass()`
`protected boolean` `eHasSettings()`
`void` `eSetClass(EClass eClass)` Sets the meta class.

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticClass, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eInvoke, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eClass

    protected EClass eClass

### eSettings

    protected java.lang.Object[] eSettings

Constructor Detail

### MinimalEObjectImpl.Container.Dynamic

    public MinimalEObjectImpl.Container.Dynamic()

### MinimalEObjectImpl.Container.Dynamic

    public MinimalEObjectImpl.Container.Dynamic(EClass eClass)

Method Detail

### eClass

    public EClass eClass()

  Description copied from interface: `EObject`
  Returns the meta class.

  The meta class defines the `features` available for reflective access.

  Specified by:
    `eClass` in interface `EObject`
  Overrides:
    `eClass` in class `MinimalEObjectImpl`
  Returns:
    the meta class.
  See Also:
    `EClass.getEAllStructuralFeatures()`

### eDynamicClass

    protected EClass eDynamicClass()

  Overrides:
    `eDynamicClass` in class `MinimalEObjectImpl`

### eSetClass

    public void eSetClass(EClass eClass)

  Description copied from interface: `InternalEObject`
  Sets the meta class. An object with a set meta class is, by definition, a dynamic instance; it will support dynamic `settings`. an.

  Specified by:
    `eSetClass` in interface `InternalEObject`
  Overrides:
    `eSetClass` in class `MinimalEObjectImpl`
  Parameters:
    `eClass` - the dynamic meta class.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### eHasSettings

    protected boolean eHasSettings()

  Overrides:
    `eHasSettings` in class `MinimalEObjectImpl`

### eBasicSettings

    protected java.lang.Object[] eBasicSettings()

  Overrides:
    `eBasicSettings` in class `MinimalEObjectImpl`

### eBasicSetSettings

    protected void eBasicSetSettings(java.lang.Object[] settings)

  Overrides:
    `eBasicSetSettings` in class `MinimalEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.